| optoMDC

Loading...
Searching...
No Matches
optoMDC.mre2.MRE2Channel Class Reference
Inheritance diagram for optoMDC.mre2.MRE2Channel:

## Public Member Functions
| __init__ (self, board, int channel_number=0)
| GetControlMode (self)
| SetControlMode (self, UnitType or str control_mode)

## Public Attributes
| VectorPatternUnit = Registers.MRE2VectorPatternUnit(self._channel, self._board)
| Analog = Registers.MRE2Analog(self._channel, self._board)
| SignalGenerator = Registers.MRE2SignalGenerator(self._channel, self._board)
| LinearOutput = Registers.LinearOutput(self._channel, self._board)
| StaticInput = Registers.MRE2StaticInput(self._channel, self._board)
| InputConditioningFilter = Registers.InputConditioningFilter(self._channel, self._board)
| OutputConditioningFilter = Registers.OutputConditioningFilter(self._channel, self._board)
| OFPID = Registers.OFPID(self._channel, self._board)
| XYPID = Registers.XYPID(self._channel, self._board)

## Protected Attributes
| _control_mode = UnitType.CURRENT

## Detailed Description

    Channel object which contains channel-level systems and commands. Such as StaticInput, SetControlMode, etc

    Parameters
    ----------
    board
        Handle for the Board object
    channel_number
        integer of the channel (0 or 1 by default)

    Raises
    ------
    none

    Notes
    -----
    MRE2Channel is an subclass of Channel. Refer to optoKummenberg.connections for methods, parameters, etc.

    Examples
    --------
    Instantiate a simple-mode Board with connection over COM12 port, with baud rate 9600. Then switch into pro-mode.
    This will not flush the firmware registers, so it is assumed to already be reset.

    >>> import optoMDC
    >>> mre2 = optoMDC.connect()
    >>> mre2.Mirror.Channel_0.GetControlMode()
    >>> mre2.Mirror.Channel_1.SignalGenerator.GetAmplitude()

## Constructor & Destructor Documentation

## ◆ __init__()

optoMDC.mre2.MRE2Channel.__init__ | ( |  | self,
|  |  | board,
|  | int | channel_number = 0 )

## Member Function Documentation

## ◆ GetControlMode()

optoMDC.mre2.MRE2Channel.GetControlMode | ( |  | self | ) |

    Retrieves board control mode for this channel.

    Parameters
    ----------
    none

    Raises
    ------
    none

    Returns
    -----
    UnitType
        Control mode options set by register_tables.UnitType

## ◆ SetControlMode()

optoMDC.mre2.MRE2Channel.SetControlMode | ( |  | self,
|  | UnitType or str | control_mode )

    Sets board control mode for this channel.

    Parameters
    ----------
    control_mode: UnitType or str
        Mode to set must be in register_tables.UnitType or appropriate string format given by
        UnitType enum attribute names.

    Raises
    ------
    none

    Returns
    -----
    str
        Firmware response or error information

## Member Data Documentation

## ◆ _control_mode

optoMDC.mre2.MRE2Channel._control_mode = UnitType.CURRENT
| protected

## ◆ Analog

optoMDC.mre2.MRE2Channel.Analog = Registers.MRE2Analog(self._channel, self._board)

## ◆ InputConditioningFilter

optoMDC.mre2.MRE2Channel.InputConditioningFilter = Registers.InputConditioningFilter(self._channel, self._board)

## ◆ LinearOutput

optoMDC.mre2.MRE2Channel.LinearOutput = Registers.LinearOutput(self._channel, self._board)

## ◆ OFPID

optoMDC.mre2.MRE2Channel.OFPID = Registers.OFPID(self._channel, self._board)

## ◆ OutputConditioningFilter

optoMDC.mre2.MRE2Channel.OutputConditioningFilter = Registers.OutputConditioningFilter(self._channel, self._board)

## ◆ SignalGenerator

optoMDC.mre2.MRE2Channel.SignalGenerator = Registers.MRE2SignalGenerator(self._channel, self._board)

## ◆ StaticInput

optoMDC.mre2.MRE2Channel.StaticInput = Registers.MRE2StaticInput(self._channel, self._board)

## ◆ VectorPatternUnit

optoMDC.mre2.MRE2Channel.VectorPatternUnit = Registers.MRE2VectorPatternUnit(self._channel, self._board)

## ◆ XYPID

optoMDC.mre2.MRE2Channel.XYPID = Registers.XYPID(self._channel, self._board)

The documentation for this class was generated from the following file:

- C:/git/138-882-00_optoMDC/src/main/python/optoMDC/mre2.py